
Redmine - Defect #3764

ApplicationHelperTest fails with JRuby

2009-08-20 14:33 - Babar O'Cap

Status: Closed Start date: 2009-08-20

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version:  

Description

The fault is attributed to RedCloth3 class who doesn't work well with JRuby (tested on Windows XP SP2 with Redmine r2845, JRuby

1.2 and 1.3.1)

History

#1 - 2009-08-20 14:37 - Babar O'Cap

- File ApplicationHelperTest_failures_with_RedCloth4.2.2.log added

With RedCloth 4.2.2, ApplicationHelperTest has 12 failures but only one in common with RedCloth3 class (test_blockquote)

#2 - 2010-06-19 18:52 - Gregor Schmidt

This issue was fixed with r3718. I can reproduce the reported error on r3717 but now it is gone.

#3 - 2010-06-19 18:57 - Eric Davis

- Category changed from Text formatting to Ruby support

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

Closing as fixed (r3717)

Files

ApplicationHelperTest_failures.log 3.5 KB 2009-08-20 Babar O'Cap

ApplicationHelperTest_failures_with_RedCloth4.2.2.log 7.46 KB 2009-08-20 Babar O'Cap
https://www.redmine.org/projects/redmine/repository/svn/revisions/3718
